by

Ubuntu 12.04 FFmpeg and libmp3lame

For you guys who still using the old Ubuntu 12.04 and requires the latest ffmpeg and libmp3lame on their system, there's no other way until this post is written, you have to compile it manually:

Note: i prefer to install it in /opt/ dirs
Use your own preference

Download & Compile Libmp3lame


cd /opt
sudo wget http://downloads.sourceforge.net/project/lame/lame/3.98.4/lame-3.98.4.tar.gz
sudo tar -zxvf lame-3.98.4.tar.gz 
sudo cd lame-3.98.4
sudo ./configure
sudo make
sudo make install

Download & Compile FFmpeg


cd /opt
sudo wget http://ffmpeg.org/releases/ffmpeg-2.8.tar.bz2
sudo tar -xvjf ffmpeg-2.8.tar.bz2
sudo ./configure --disable-yasm --enable-libmp3lame
sudo make
sudo make install